Package io.strimzi.systemtest.utils.kubeUtils.controllers

## Class DeploymentConfigUtils

- java.lang.Object
- - io.strimzi.systemtest.utils.kubeUtils.controllers.DeploymentConfigUtils

-     public class DeploymentConfigUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentConfigUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `depConfigHasRolled​(String name, Map<String,​String> snapshot)` | Method to check that all pods for expected DeploymentConfig were rolled
    `static Map<String,​String>` | `depConfigSnapshot​(String name)` | Returns a map of pod name to resource version for the pods currently in the given DeploymentConfig.
    `static Map<String,​String>` | `waitForDeploymentConfigAndPodsReady​(String depConfigName, int expectPods)` | Wait until the given DeploymentConfig is ready.
    `static void` | `waitForDeploymentConfigDeletion​(String name)` | Wait until the given DeploymentConfig has been deleted.
    `static void` | `waitForDeploymentConfigReady​(String depConfigName)` |
    `static Map<String,​String>` | `waitTillDepConfigHasRolled​(String depConfigName, Map<String,​String> snapshot)` | Method to wait when DeploymentConfig will be recreated after rolling update

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentConfigUtils

          public DeploymentConfigUtils()

  - ### Method Detail

    - #### depConfigSnapshot

          public static Map<String,​String> depConfigSnapshot​(String name)

      Returns a map of pod name to resource version for the pods currently in the given DeploymentConfig.
      Parameters:
        `name` - The DeploymentConfig name.
      Returns:
        A map of pod name to resource version for pods in the given DeploymentConfig.

    - #### depConfigHasRolled

          public static boolean depConfigHasRolled​(String name,
                                                   Map<String,​String> snapshot)

      Method to check that all pods for expected DeploymentConfig were rolled
      Parameters:
        `name` - DeploymentConfig name
        `snapshot` - Snapshot of pods for DeploymentConfig before the rolling update
      Returns:
        true when the pods for DeploymentConfig are recreated

    - #### waitTillDepConfigHasRolled

          public static Map<String,​String> waitTillDepConfigHasRolled​(String depConfigName,
                                                                            Map<String,​String> snapshot)

      Method to wait when DeploymentConfig will be recreated after rolling update
      Parameters:
        `depConfigName` - DeploymentConfig name
        `snapshot` - Snapshot of pods for DeploymentConfig before the rolling update
      Returns:
        The snapshot of the DeploymentConfig after rolling update with Uid for every pod

    - #### waitForDeploymentConfigDeletion

          public static void waitForDeploymentConfigDeletion​(String name)

      Wait until the given DeploymentConfig has been deleted.
      Parameters:
        `name` - The name of the DeploymentConfig.

    - #### waitForDeploymentConfigAndPodsReady

          public static Map<String,​String> waitForDeploymentConfigAndPodsReady​(String depConfigName,
                                                                                     int expectPods)

      Wait until the given DeploymentConfig is ready.
      Parameters:
        `depConfigName` - The name of the DeploymentConfig.

    - #### waitForDeploymentConfigReady

          public static void waitForDeploymentConfigReady​(String depConfigName)